Supply Details
http
GET /api/v1/supplies/{ID}Base URL: https://supplies-api.wildberries.ru · Module: orders-fbw · Section: Supplies Information · Specification doc ↗
The method returns supply details by ID.
Request limit per one seller account:
| Type | Period | Limit | Interval | Burst |
|---|---|---|---|---|
| Personal | 1 min | 30 requests | 2 s | 10 requests |
| Service | 1 min | 30 requests | 2 s | 10 requests |
| Base with secret | 1 min | 30 requests | 2 s | 10 requests |
| Base | 1 h | 2 requests | 30 min | 1 request |
Parameters
| Name | In | Type | Req. | Description |
|---|---|---|---|---|
ID | path | integer<int64> | yes | ID of the supply or the order |
isPreorderID | query | boolean | no | Search by: - true — order ID, if you pass the order ID in ID - false — supply ID, if you pass the supply ID in ID |
Responses
| Code | Description | Schema |
|---|---|---|
200 | Success | models.SupplyDetails |
400 | Bad request | models.ErrorModel |
401 | Unauthorized | object |
402 | Payment required | object |
403 | Access denied | object |
404 | Not found | models.ErrorModel |
429 | Too many requests | object |
Structure 200:
phonestring— Phone number of the user that created the supplystatusIDinteger<int64>=1|2|3|4|5|6— Supply status ID: -1— Not planned -2— Planned -3— Dispatch allowed -4— Accepting -5— Accepted -6— Unloaded at the gatevirtualTypeIDinteger<int64>— ID of virtual supply type. Displayed only for supplies with"boxTypeID":0. -0— Carryover of stock -1— Depersonalization -4— QR supply -5— Additional acceptance -6— Scan acceptanceboxTypeIDinteger<int64>— Supply type ID: -0— Without boxes (virtual supply) -1and2— Boxes -5— Monopallets -6— SupersafecreateDatestring— Date and time the supply was createdsupplyDatestring— Planned dispatch datefactDatestring— Actual dispatch dateupdatedDatestring— Date of the supply updatewarehouseIDinteger<int64>— Warehouse ID for planned supplywarehouseNamestring— Warehouse name for planned supplyactualWarehouseIDinteger<int64>— Warehouse ID where the supply was deliveredactualWarehouseNamestring— Warehouse name where the supply was deliveredtransitWarehouseIDinteger<int64>— Transit warehouse IDtransitWarehouseNamestring— Transit warehouse nameacceptanceCostnumber— Preliminary acceptance cost, ₽paidAcceptanceCoefficientnumber— Acceptance coefficientrejectReasonstring— Reason why the supply cannot be acceptedsupplierAssignNamestring— Short seller's namestorageCoefstring— Storage coefficientdeliveryCoefstring— Logistics coefficientquantityinteger<int64>— Added to the supply/order, piecesreadyForSaleQuantityinteger<int64>— Ready for sale, piecesacceptedQuantityinteger<int64>— Accepted, piecesunloadingQuantityinteger<int64>— Total items at putaway, piecesdepersonalizedQuantityinteger<int64>— Quantity of depersonalized items, piecesdiscrepanciesinteger<int64>— Discrepancies between the declared and actual quantity of the item in the supply. Only when"statusID":5isBoxOnPalletboolean— Pallet with Single Items — supply type: -true— yes -false— no The field is returned only when"boxTypeID": 2
Structure 400:
statusinteger<int64>— HTTP status codetitlestring— Error IDdetailstring— Error descriptionrequestIdstring— Request IDoriginstring— Service that returned the error
Structure 401:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Structure 402:
titlestring— Error titledetailstring— Error details. The error is only returned to services from the Solutions for business Catalog
Structure 403:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Structure 404:
statusinteger<int64>— HTTP status codetitlestring— Error IDdetailstring— Error descriptionrequestIdstring— Request IDoriginstring— Service that returned the error
Structure 429:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Call examples
Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.
python
from wb_api_client.orders_fbw import Configuration, ApiClient
from wb_api_client.orders_fbw.api import OrdersFbwApi
cfg = Configuration(access_token="<your WB JWT>")
api = OrdersFbwApi(ApiClient(cfg))
result = api.get_v1_supplies_id(id=..., is_preorder_id=...)
print(result)ts
import {
Configuration,
OrdersFbwApi,
} from "@valeryverkhoturov/wb-api-client/orders-fbw";
const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new OrdersFbwApi(cfg);
const { data } = await api.getV1SuppliesId(iD, isPreorderID);
console.log(data);go
import (
"context"
"fmt"
wbordersfbw "github.com/ValeryVerkhoturov/wb-api-client-go/orders_fbw"
)
cfg := wbordersfbw.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbordersfbw.NewAPIClient(cfg)
result, _, err := client.OrdersFbwAPI.GetV1SuppliesId(context.Background(), iD).Execute()
if err != nil {
panic(err)
}
fmt.Printf("%+v\n", result)java
import io.github.valeryverkhoturov.wbapi.orders_fbw.ApiClient;
import io.github.valeryverkhoturov.wbapi.orders_fbw.SecretString;
import io.github.valeryverkhoturov.wbapi.orders_fbw.api.OrdersFbwApi;
ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
OrdersFbwApi api = new OrdersFbwApi(client);
System.out.println(api.getV1SuppliesId(ID, isPreorderID));php
use ValeryVerkhoturov\WbApiClient\OrdersFbw\Configuration;
use ValeryVerkhoturov\WbApiClient\OrdersFbw\SecretString;
use ValeryVerkhoturov\WbApiClient\OrdersFbw\Api\OrdersFbwApi;
use GuzzleHttp\Client;
$config = (new Configuration())
->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new OrdersFbwApi(new Client(), $config);
print_r($api->getV1SuppliesId($id));bsl
#Использовать "wb-api-client"
Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый OrdersFbwApi(Настройки);
Сообщить(Клиент.GetV1SuppliesId(ID).Тело);csharp
using ValeryVerkhoturov.WbApiClient.OrdersFbw.Api;
using ValeryVerkhoturov.WbApiClient.OrdersFbw.Client;
var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new OrdersFbwApi(config);
Console.WriteLine(api.GetV1SuppliesId(ID));rust
use wb_api_client::orders_fbw::apis::{configuration::Configuration, orders_fbw_api};
#[tokio::main]
async fn main() {
let mut cfg = Configuration::new();
cfg.set_access_token("<your WB JWT>");
let result = orders_fbw_api::get_v1_supplies_id(&cfg, id, is_preorder_id).await;
println!("{:#?}", result);
}